<!DOCTYPE html>
<html lang="en">
<head>
  <title>Bootstrap 4 Website Example</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <style>
    body {
      font-size: 13px;
    }
    .res0 {
        color: blue;
    }
    .page {
        padding-top: 20vh;
        text-align: center;
        padding-bottom: 20px;
        margin-bottom: 25vh;
    }

    .logo {
        padding-bottom: 15px;
    }

    .spellcorrect {
      width: 60vw;
      padding: 8px;
      border: 1px solid #d9d9d9;
    }


    .spellcorrect:hover {
      border: 1px solid #b9b9b9;
      border-top-color: #a0a0a0;
    }

    .spellcorrect:focus {
      outline: none;
      border: 1px solid #4d90fe;
    }

    .Bcontainer {
      text-align: center;
      margin: 0 auto;
      width: 270px;
      padding-top: 20px;
    }

    .button {
      display: inline-block;
      background: #f2f2f2;
      padding: 8px 12px;
          margin-bottom: 30px;
      font-weight: 700;
      font-size: 13px;
      border: 1px solid #f2f2f2;
      border-radius: 2px;
      color: #757575;
      font-family: arial, sans-serif;
    }
    
    .loading {
        display: block;
        margin-left: auto;
        margin-right: auto;
        width: 50%;
    }

    .button:hover {
      border: 1px solid #c6c6c6;
      color: #222;
      cursor: default;
    }
  </style>
</head>
<body>

<div class="page">
    <img class="logo" src="{{url_for('static', filename='tts.png')}}">
    <br><input id="scbox" class="spellcorrect" maxlength="200" placeholder="Enter sentence to generate speech"><br>
    <div class="Bcontainer">
        <div id="scbut" class="button">Generate Speech</div>
    </div>

    <audio id="audio-element" controls="controls">
        <source id="result" src="" type="audio/wav" style="display:none">
        Your browser does not support audio playback.
    </audio>
    <div id='loader' class="loading" style="display:none">
        <img class="loading-gif" src="{{url_for('static', filename='load.gif')}}">
    </div>
</div>

<script>
    $(document).ready(function() {
        $("#audio-element").hide()
        const URL = "{{ service_url }}";
        const spellcorrectme = () => {
            const userinp = {"sentence": document.getElementById("scbox").value};
            console.log(userinp);
            $.ajax({
                url: URL,
                type: "POST",
                data: JSON.stringify(userinp),
                contentType: "application/json;charset=UTF-8",
                //accept: "audio/wav",
                success: (result) => {
                    $("#loader").hide()
                    $("#audio-element").show()
                    $("#result").attr("src", "data:audio/wav;base64," + result);
                    $("#audio-element").get(0).load();
                    //$("#audio-element").get(0).play();

                },
                error: (err) => {
                    console.log(err)
                }
            })
        };

        $("#scbut").click(spellcorrectme);

            $(document)
                .ajaxStart(() => {
                    $("#audio-element").hide()
                    $("#loader").show()
                })

        $("#spellcorrect").keypress(function(e) {
            if (e.which == 13) {
                spellcorrectme();
            }
        });
    });
</script>
</body>
</html>
